> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get client balancer settings

> Get information about all regions used for content delivery for a specific client.



## OpenAPI

````yaml /api-reference/services_documented/cdn_reseller_api.yaml get /cdn/admin/clients/{client_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN Reseller Account
    description: Information about CDN product settings in your account.
    x-displayName: Account
  - name: CDN Reseller service
    description: Information about the current state of CDN service in your account.
    x-displayName: CDN service
  - name: CDN Reseller Features
    description: Information about free and paid features available for you account.
    x-displayName: Features
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/docs/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
    x-displayName: Balancer
  - name: CDN Reseller Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
    x-displayName: Origin shielding
paths:
  /cdn/admin/clients/{client_id}:
    get:
      tags:
        - Balancer
      summary: Get client balancer settings
      description: >-
        Get information about all regions used for content delivery for a
        specific client.
      operationId: get-client-balancer-settings
      parameters:
        - $ref: '#/components/parameters/path_client_id'
      responses:
        '200':
          $ref: '#/components/responses/ClientBalancerSettingsDetails'
        '404':
          $ref: '#/components/responses/UnableReceiveSettings'
components:
  parameters:
    path_client_id:
      name: client_id
      in: path
      required: true
      schema:
        allOf:
          - $ref: '#/components/schemas/body_response_client_ID'
  responses:
    ClientBalancerSettingsDetails:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ClientSettingsDetails'
          examples:
            default:
              $ref: '#/components/examples/ClientSettingsDetails'
    UnableReceiveSettings:
      description: Failed to get client balancer settings.
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/NoSuchClientID'
              - $ref: '#/components/schemas/ClientNotFound'
  schemas:
    body_response_client_ID:
      type: integer
      description: Client account ID.
    ClientSettingsDetails:
      type: object
      properties:
        is_in:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_regions_settings_IsIn
        region_list:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_regions_settings_RegionList
    NoSuchClientID:
      description: >-
        Balancer has not been activated for the client and the client does not
        have balancer settings.
      type: object
      properties:
        error:
          type: string
          description: >-
            Balancer has not been activated for the client and the client does
            not have balancer settings.


            To activate balancer, [set client’s balancer
            settings](/docs/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
          example: No such client_id
    ClientNotFound:
      description: Client with the specified account ID is not found.
      type: object
      properties:
        error:
          description: Client with the specified account ID is not found.
      example: {}
    body_response_balancer_regions_settings_IsIn:
      type: boolean
      description: >-
        Defines whether regions are used for content delivery for a client or
        not.


        Possible values:

        - **true** - Region is used for content delivery.

        - **false** - Region is not used for content delivery.
    body_response_balancer_regions_settings_RegionList:
      type: array
      items:
        type: integer
      description: >-
        List of region IDs.


        If you specified regions used for content delivery, the regions IDs list
        must not contain the ID of the default location handler region.


        If you specified regions not used for content delivery, the regions IDs
        list must contain the ID of the default location handler region.
  examples:
    ClientSettingsDetails:
      value:
        is_in: true
        region_list:
          - 1
          - 2
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````